Вход | Регистрация
 

Подключение онлайн кассы Атол 30Ф

Подключение онлайн кассы Атол 30Ф
Я
   program1c82
 
26.06.19 - 10:10
Добрый день.

Конфигурация УНФ 1.6.16.114

1. Скачал последние ДТО с сайта Атол версии 10.5.0
Добавил драйвера в 1С.
Создал новый экземпляр торгового оборудования в справочник и указал установленные драйвера.
При попытке зайти в настройки добавленного оборудования в 1С вылезает ошибка
Ошибка получения описания драйвера
{ОбщийМодуль.ПодключаемоеОборудованиеУниверсальныйДрайверКлиент.Модуль(2970)}: Слишком много фактических параметров

2. Пробовал устанавливать драйвера версии 9.12.4
После установки пишет что "Установлен интеграционный компонент. Основная поставка драйвера не установлена."

Что я делаю не так, помогите пожалуйста.
 
 
   Builder
 
1 - 26.06.19 - 10:20
Обнови конфигурацию.
   Garykom
 
2 - 26.06.19 - 10:23
>"Установлен интеграционный компонент. Основная поставка драйвера не установлена."
Это лечится установкой интеграционного в 1С из папки установки скачанного драйвера в Program Files/ATOL
   Пробел
 
3 - 26.06.19 - 10:25
проверьте, что разрядность платформы 1С совпадает с разрядностью драйвера ККТ. Я буквально сегодня утром в это уткнулся.
   Пробел
 
4 - 26.06.19 - 10:27
и перед переустановкой драйверов деинсталлируйте руками старые версии.
   program1c82
 
5 - 26.06.19 - 10:33
(2) Интеграционный пакет же установлен
(3) разрядность совпадает, это контролировал при установке.
(4) Перед установкой драйверов ничего не стояло
   Builder
 
6 - 26.06.19 - 10:41
"Слишком много фактических параметров" - как бы намекает что твоя конфигурация не умеет работать с новой обработкой ККМ. И драйвера тут не причем.
   program1c82
 
7 - 26.06.19 - 10:43
(6) Да, скорее всего в новых драйверах другой набор параметров.
Но непонятно почему 1С не видит установленных драйверов 9х
   piter3
 
8 - 26.06.19 - 10:44
(7) Дело в конфе,рой туда
   Builder
 
9 - 26.06.19 - 10:45
(7) Чем тебе 10 не подходят?
И проблема не в ДРАЙВЕРАХ, а в обработке ККМ.
   program1c82
 
10 - 26.06.19 - 10:50
(9) Тем что придется обновлять конфигурацию, а хотелось бы настроить на текущем релизе
"Обработка ККМ" - что имеется ввиду ?
 
 Рекламное место пустует
   Builder
 
11 - 26.06.19 - 11:06
<"Обработка ККМ" - что имеется ввиду ?>
Ууууу... 
Что-то типа ATOLkkt.epf
   piter3
 
12 - 26.06.19 - 11:07
Не обижайтесь,но лучше пригласить спеца все-таки
   program1c82
 
13 - 26.06.19 - 11:17
(12) Мне нечего обижаться.
Какого спеца, из фирмы Атол по драйверам ?
Делается все по инструкции с ИТС, с 1С работаю очень давно, но тут дело не в 1С.
Я могу конечно обновить УНФ до последнего релиза и использовать драйвера 10х, и наверняка все заработает.
Но хотелось бы разораться почему 1С не видит основную поставку драйверов 9х, хотя и компонента и драйвера установлены с официального дистрибутива АТОЛ
   program1c82
 
14 - 26.06.19 - 11:21
(11) Такой обработки для УНФ нет.
Может вы про другую конфигурацию?
   Klesk
 
15 - 26.06.19 - 11:25
{ОбщийМодуль.ПодключаемоеОборудованиеУниверсальныйДрайверКлиент.Модуль(2970)}: Слишком много фактических параметров 

если ни о чем не говорит, то пригласи спеца
   Klesk
 
16 - 26.06.19 - 11:25
(15) по 1с
   Klesk
 
17 - 26.06.19 - 11:26
у тебя в вызове процедуры 1с слишком много параметров
   program1c82
 
18 - 26.06.19 - 11:28
(15) Говорит о том что в объекте драйвера меньше параметров, чем в вызове процедуры драйвера в 1С
Говорит о том, что скорее всего нужно обновить релиз УНФ
Об этом всем уже написано выше
Но мне бы хотелось чтобы 1С увидела основную поставку драйверов 9х
   Builder
 
19 - 26.06.19 - 11:36
(18) Мне тоже хочется к древнющему переписанному релизу УПП 1.3 подключить новую кассу.
И я сижу и из нового релиза перекидываю нужные модули. И я уже задолбался, поскольку 1С добавили поддержку ЕГАИС и она блин везде там. Как то так.
   program1c82
 
20 - 26.06.19 - 11:46
(19) Да мы тоже ради этих онлайн касс перешли с УНФ 1.3 на УНФ 1.6, но как оказалось легче от этого не стало.
При подключении ТО все равно проблемы, даже с драйвером который идет в составе конфигурации
   Garykom
 
21 - 26.06.19 - 12:09
(5) >Интеграционный пакет же установлен

Вы читать умеете? А думать?

Установлен да не тот. Точная версия ВК интеграционного должна идеально (до подверсии последних чицерок) совпадать с версией установленного драйвера.
   Garykom
 
22 - 26.06.19 - 12:10
(21) *циферок

Но прикольный вариант
   Garykom
 
23 - 26.06.19 - 12:11
(19) Я так понимаю один раз изучить как работает ККТ и нативный драйвер не судьба?
   program1c82
 
24 - 26.06.19 - 12:16
(21) А вы сами то умеете читать? Прочитайте тогда текст в заголовке темы и попытайтесь подумать.
Специально для вас:
1. Скачал драйвера из центра загрузок атолла.
2. Добавил новые драйвера из файла "ATOL_KKT_9.zip" в 1С, при этом обновляется и компонента ВК нужной версии которая и идет с этими драйверами.
3. Потом устанавливается основная поставка драйвера из папки installer / Drivers9-KKT-9.12.4.6377-windows64-setup.exe
   program1c82
 
25 - 26.06.19 - 12:18
(23) Вы видимо изучили уже? Но посоветовать ничего дельного не можете, только кичитесь своим высокомерием якобы всезнайки
   Garykom
 
26 - 26.06.19 - 12:19
(24) Угу и разрядность драйверов не перепутали 32 с 64 и комп/сервер перезагрузили после установки да?
   program1c82
 
27 - 26.06.19 - 12:20
(26) естественно, об этом тоже написано, если внимательно прочитать
   Garykom
 
28 - 26.06.19 - 12:20
(25) Вот в части ККТ Онлайн не всезнайки но весьма уже много знайки.
Да горжусь. Пока ни одна программа (не важно 1С или нет) и ККТ не ушли не скрещенными.
   Garykom
 
29 - 26.06.19 - 12:21
(27) Покажи где? Где у тебя написано про разрядность и перезагрузку?
   program1c82
 
30 - 26.06.19 - 12:22
(26) Если нечего по существу сказать, не нужно пытаться самоутверждаться за мой счет. У вас это не получится, а мне диалог в таком ключе не интересен
   program1c82
 
31 - 26.06.19 - 12:22
(29) смотри (5)
   Garykom
 
32 - 26.06.19 - 12:24
(31) Разрядность совпадает вижу, про перезагрузку нет.

С 1С есть прикол с разрядностью что если стоит и 32 и 64 платформа 1С то не важно что у тебя указано в запуске приоритет разрядности, если указать подверсию платформы а нужной разрядности нет, то запускает без сообщений на другой разрядности указанной версии.

Сам например на этом обжегся.
   Garykom
 
33 - 26.06.19 - 12:26
(32)+ Теперь я всегда из запущенной платформы разрядность проверяю обязательно через
СисИнфо = Новый СистемнаяИнформация;
Сообщить(СисИнфо.ТипПлатформы);

 
 
   Garykom
 
34 - 26.06.19 - 12:29
(30) Поймите что если у других оно работает а у вас нет, это вероятнее всего не в других проблема а в вас самих.
Ну или в вашем железе и софте, но кроме вас никто в этом не разберется.

А раздражает что не пытаются разобраться как оно работает, а хотят просто "куда то пнул оно и полетело/заработало" по принципу магии и черного ящика ))
   program1c82
 
35 - 26.06.19 - 12:34
(34) так я как раз и пытаюсь разобраться почему 1С не видит основной поставки драйверов
   Garykom
 
36 - 26.06.19 - 12:55
(35)
1. Не та разрядность
2. Не та версия интеграционной внешней компоненты и основной поставки
3. Прав не хватает
4. Основная поставка встала криво


Проверить нет никаких проблем, лезете в AppData\Roaming\1C\1Cv82\ExtCompT\
Изучаете https://its.1c.ru/db/metod8dev#content:4829:hdoc:chapter270
Вручную своим кодом подключаете интеграционную и пробуете отправить команды - анализируете что выдает и ошибки.

Не вижу блин проблем особых.
   program1c82
 
37 - 26.06.19 - 13:03
(36) Спасибо, буду пробовать
   Garykom
 
38 - 26.06.19 - 13:06
На всякий случай https://its.1c.ru/db/kkt#content:121:buh30
   Garykom
 
39 - 26.06.19 - 13:14
И вот http://forum.atol.ru/lofiversion/index.php?t33762.html

"2.При установке основной поставки драйвера и запуске 1С под другим пользователем, 1С не видит основную поставку.
Способ решения: Информация об установке драйвера прописывается в HKEY_LOCAL_MACHINE, 1С видит основную поставку."
   program1c82
 
40 - 26.06.19 - 15:11
Компонента из поставки драйверов 10.5.0.0 на запрос получения версии возвращает "Истина"
Это какой-то треш.
   red0
 
41 - 27.06.19 - 15:03
(0) У меня буквально сегодня такая же проблема возникла. Решилось так: несмотря на то, что система х64, установили из поставки драйвера не "Drivers9-KKT-9.11.2.6032-windows64-setup.exe", а "Drivers9-KKT-9.11.2.6032-windows32-setup.exe" и все корректно установилось в 1с, статус драйвера стал "Установлен интеграционный компонент. Установлена основная поставка драйвера.".
   Garykom
 
42 - 27.06.19 - 15:15
(40) Это не треш это бага, ставь 10.4 последнюю
   Rapelsina
 
43 - 27.06.19 - 15:15
Проблема решилась?
Если да, то подскажите, как решили, пожалуйста.
   Rapelsina
 
44 - 27.06.19 - 15:16
(42) Я уже дошла до 10.4.2 и все равно такая ошибка лезет
   Garykom
 
45 - 27.06.19 - 15:17
(44) Это разные ошибки у вас совершенно в другом дело.
   Garykom
 
46 - 27.06.19 - 15:18
(41) Я тебя поздравляю у тебя 1C x86 (32 битная) а не x86_64 (64 битная)
   Rapelsina
 
47 - 27.06.19 - 15:18
(45) Ошибка так же про количество параметров и про тот же модуль, в другом ли дело?
   Garykom
 
48 - 27.06.19 - 15:19
(46)+ На Windows x86_64 прекрасно работают и 32 и 64 битные версии 1С
   Garykom
 
49 - 27.06.19 - 15:20
(47) Еще раз для непонятливых.

Драйвер АТОЛ версии 10.4.X работает замечательно, если не работает то ищите проблему у себя.

Драйвер АТОЛ 10.5 пока еще слишком новый и первая версия вышла с багой, его не заставить работать пока никак, багу у себя можно не искать а просто ждать рабочего нового 10.5 или откатываться на 10.4.Х
 
 Рекламное место пустует
   Garykom
 
50 - 27.06.19 - 15:22
(49)+ Речь про интеграционный компонент к 1С, нативный драйвер напрямую 10.5 прекрасно пашет.
   program1c82
 
51 - 27.06.19 - 15:57
(43) Проблема решилась.
Как уже написали внешнюю компоненту брать из интеграционного пакета 10.4.6.0
А сами драйвера можно брать как из пакета 10.5.0.0 так и из пакета 10.4.6.0 и все работает.
Драйвер АТОЛ 10.5.0.0 не с багой, это конфигурации 1С не заточены пока для работы с данным драйвером.
   Garykom
 
52 - 27.06.19 - 16:01
(51) Внутри дистрибутива драйвера 10.5.0.0 находится ВК для 1С (интеграционная компонента) с багой.
А сам драйвер нативный 10.5.0.0 работает прекрасно.

И да нихрена у вас не решилось ибо будут совершенно неожиданные глюки при несовпадении версий интеграционной и основной поставки.
   Garykom
 
53 - 27.06.19 - 16:03
(52)+ В смысле что новых функций/тегов которые есть только в 10.5 то нету
   program1c82
 
54 - 27.06.19 - 16:15
(53) У меня все решилось, нет никаких глюков.
Я просто взял комплект 10.4.6.0 и использую его и ВК и драйвера
   Garykom
 
55 - 27.06.19 - 16:25
(54) Нет новых тегов
   stix2010
 
56 - 27.06.19 - 16:28
(32) это означает у...щность существующего кода типовых.
   eklmn
 
57 - 27.06.19 - 16:43
(56) вот это новость! )))


Список тем форума
Рекламное место пустует  Рекламное место пустует
ВНИМАНИЕ! Если вы потеряли окно ввода сообщения, нажмите Ctrl-F5 или Ctrl-R или кнопку "Обновить" в браузере.
Рекламное место пустует